package com.hcloud.microservice.goods.dao;


import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microservice.goods.facade.entity.GoodsAssayInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @author xiezt
 */
public interface GoodsAssayInfoMapper extends BaseMapper<GoodsAssayInfo,String> {

    /**
     * 获取产品检验检疫信息通过产品批次Id
     * @param batchId
     * @return
     */
    GoodsAssayInfo getGoodsAssayInfoByBatchId(@Param("batchId") String batchId);

    /**
     * 删除商品检验信息通过商品批次编号
     * @param goodsAssayInfo
     * @return
     */
    int delGoodsAssayInfoByBatchId(GoodsAssayInfo goodsAssayInfo);
}