package com.hcloud.microservice.goods.dao;


import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microservice.goods.facade.entity.GoodsInfo;
import com.hcloud.microservice.goods.facade.forms.GoodsInfoForm;

import java.util.List;

/**
 * @author xiezt
 */
public interface GoodsInfoMapper extends BaseMapper<GoodsInfo,String> {

    /**
     * 分页查询商品信息
     * @param pageBean
     * @return
     */
    List<GoodsInfo> searchByPage(PageBean<GoodsInfoForm> pageBean);


}