package com.hcloud.microservice.goods.controller;

import com.alibaba.fastjson.JSONObject;
import com.hcloud.microservice.goods.facade.forms.GoodsQRCodeInfoForm;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.http.MediaType;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.MvcResult;

import java.util.Date;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.post;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.content;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.status;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
@AutoConfigureMockMvc
public class GoodsQRCodeInfoControllerTest {

    @Autowired
    private MockMvc mockMvc;


    @Test
    public void searchGoodsQRCodeByPage() {

    }

    @Test
    public void getGoodsQRCodeById() {

    }

    @Test
    public void delGoodsQRCodeById() throws Exception {
        GoodsQRCodeInfoForm codeForm = new GoodsQRCodeInfoForm();
        codeForm.setGuid("8c2940003e5411e98964408d5c9b0a5c");
        codeForm.setModifiedUser("d9278d25e4a94ee5bfdc2b8433279ad1");
        codeForm.setModifiedTime(new Date());
        MvcResult result = mockMvc.perform(post("/qrcode/info/delGoodsQRCodeById").
                contentType(MediaType.APPLICATION_JSON_UTF8).
                content(JSONObject.toJSONString(codeForm))).
                andExpect(content().contentType(MediaType.APPLICATION_JSON_UTF8)).
                andExpect(status().isOk()).andReturn();
        log.info("json===================>{}", result.getResponse().getContentAsString());
    }

    @Test
    public void searchGoodsQRCodeForExport() {

    }

    @Test
    public void searchGoodsQRCodeInfoByTokenStr() {

    }

    @Test
    public void getGoodsQRCodeDetailInfoByToken() {

    }
}