package com.hcloud.microservice.goods.bo;

import com.hcloud.microserver.commoncore.base.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * @author JYJ
 */
@Data
public class GoodsBatchInfoBO extends BaseEntity {

    private String guid;

    /**
     * 商品Id
     */
    private String fkGoodsGuid;

    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 商品批次号
     */
    private String goodsBatchNo;
    /**
     * 商品规格
     */
    private String goodsUnit;
    /**
     * 生产日期
     */
    private String goodsProductDate;
    /**
     * 保质期
     */
    private String goodsExpired;
    /**
     * 产地名称
     */
    private String fieldName;

    /**
     * 销售地址
     */
    private String goodsSaleUrl;

}
