package com.hcloud.microservice.goods.bo;

import com.hcloud.microserver.commoncore.base.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * @author xiezt
 */
@Data
public class GoodsQRCodeRecordBO extends BaseEntity {

    private String guid;

    private String goodsBatchNo;

    private String goodsName;

    private String goodsParentQrcode;

    private String qrcodeRecordTime;

    private String originNum;

    private String cancelNum;

    private String usedNum;

    private String scanNum;
    
    private String templeType;
   
    //二维码总数
    private int qrTotalNum;
    //打印数量
    private int printNum;
    
    //未打印数量
    private int notPrintNum;

    public int getNotPrintNum() {
    	this.notPrintNum = this.qrTotalNum - this.printNum;
    	return this.notPrintNum;
    }
}
