package com.hcloud.microservice.goods.dao;


import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microservice.goods.bo.GoodsBatchInfoBO;
import com.hcloud.microservice.goods.facade.entity.GoodsBatchInfo;
import com.hcloud.microservice.goods.facade.forms.GoodsBatchInfoForm;

import java.util.List;

/**
 * @author xiezt
 */
public interface GoodsBatchInfoMapper extends BaseMapper<GoodsBatchInfo,String> {
    /**
     * 分页查询商品批次信息
     * @param pageBean
     * @return
     */
    List<GoodsBatchInfoBO> searchByPage(PageBean<GoodsBatchInfoForm> pageBean);

}