package com.hcloud.microservice.goods.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.hcloud.microservice.goods.facade.entity.GoodsBatchLabel;

public interface GoodsBatchLabelMapper{
    int deleteByPrimaryKey(String guid);

    int insert(GoodsBatchLabel record);

    int insertSelective(GoodsBatchLabel record);

    GoodsBatchLabel selectByPrimaryKey(String guid);

    int updateByPrimaryKeySelective(GoodsBatchLabel record);

    int updateByPrimaryKey(GoodsBatchLabel record);
    
    /**
     * 查询产品标签
     * @author lym
     * @param record
     * @return
     */
    List<GoodsBatchLabel> selectGoodsBatchLabelList(GoodsBatchLabel record);
    
    /**
     * 删除产品关联标签
     * @author lym
     * ids 不需要删除的数据ID  goodsBatchGuids 产品批次id
     * @return
     */
    int deleteGoodsBatchLabelByNotIds(@Param("goodsBatchGuid") String goodsBatchGuid,@Param("ids") List<String> ids);
    
    /**
     * 删除产品批次产品标签
     * @author lym
     * @param batchGuid
     * @return
     */
    int deleteByBatchGuid(@Param("goodsBatchGuid") String goodsBatchGuid);
}