package com.hcloud.microservice.goods.dao;


import com.github.pagehelper.Page;
import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microserver.commoncore.base.PageBean;
import com.hcloud.microservice.goods.facade.entity.GoodsField;
import com.hcloud.microservice.goods.facade.forms.GoodsFieldForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xiezt
 */
public interface GoodsFieldMapper extends BaseMapper<GoodsField,String> {

    /**
     * 分页查询产地信息
     * @param pageBean
     * @return
     */
    Page<GoodsField> searchByPage(PageBean<GoodsFieldForm> pageBean);

    /**
     * 查询产品明细
     * @param guid
     * @param orgGuid
     * @return
     */
    GoodsField getGoodsFieldInfoById(@Param("goodsId") String guid,@Param("orgGuid") String orgGuid);
    
    /**
     * 检验产地是否存在
     * lym
     * @param goodsField
     * @return
     */
    int isExist(GoodsField goodsField);

}