package com.hcloud.microservice.goods.dao;


import com.hcloud.microserver.commoncore.base.BaseMapper;
import com.hcloud.microservice.goods.facade.entity.GoodsInfoAuxiliary;
import com.hcloud.microservice.goods.facade.forms.GoodsInfoAuxiliaryForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xiezt
 */
public interface GoodsInfoAuxiliaryMapper extends BaseMapper<GoodsInfoAuxiliary,String> {

    /**
     * 批量插入辅助信息
     * @param list
     * @return
     */
     int bathSaveAuxiliaryInfo(List<GoodsInfoAuxiliaryForm> list);

    /**
     * 删除商品辅助信息通过关联ID
     * @param goodsId
     * @param fkOrgGuid
     * @return
     */
     int delGoodsFieldAuxiliaryinfoByFkId(@Param("goodsId") String goodsId);

    /**
     * 通过关联Id查询辅助列表信息
     * @param fkAuxItemId
     * @return
     */
     List<GoodsInfoAuxiliary> queryListByParentId(@Param("itemId") String fkAuxItemId);
}