package com.hcloud.microservice.goods.event;

import lombok.Getter;
import org.springframework.context.ApplicationEvent;

import java.util.List;
import java.util.Map;

/**
 * @author xiezt
 */
@Getter
public class TracedQRCodeImgEvent extends ApplicationEvent {

    private List<Map> qrcodeInfoList;

    public TracedQRCodeImgEvent(Object source,List<Map> qrcodeInfoList) {
        super(source);
        this.qrcodeInfoList = qrcodeInfoList;
    }
}
