package com.hcloud.microservice.goods.service;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microservice.goods.facade.forms.GoodsBatchFeedbackForm;

import java.util.List;

/**
 * @author JYJ
 */
public interface GoodsBatchFeedbackService extends BaseServie<GoodsBatchFeedbackForm,String> {

    /**
     * 分页查询评价列表
     * @param feedbackForm
     * @return
     */
    PageInfo searchBatchFeedbackByPage(GoodsBatchFeedbackForm feedbackForm);

    /**
     * 通过溯源用户id,查询商品评价列表
     * @param userId
     * @param batchId
     * @return
     */
    List<GoodsBatchFeedbackForm> getGoodsFeedbackByUserId(String userId,String batchId);

    /**
     * 批量删除评价信息
     * @param pkList
     * @return
     */
    int delGoodsFeedbackByList(List<String> pkList);
}
