package com.hcloud.microservice.goods.service;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microservice.goods.facade.entity.GoodsInfo;
import com.hcloud.microservice.goods.facade.forms.GoodsInfoForm;

/**
 * 产品信息服务
 * @author xiezt
 */
public interface GoodsInfoService extends BaseServie<GoodsInfo,String> {

    /**
     *  分页查询商品信息
     * @param goodsInfoForm
     * @return
     */
    PageInfo searchGoodsInfoByPage(GoodsInfoForm goodsInfoForm);

    /**
     * 查询商品明细
     * @param guid
     * @return
     */
    GoodsInfoForm searchGoodsInfoById(String guid);
}
