package com.hcloud.microservice.goods.service;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microservice.goods.facade.entity.GoodsProNormal;
import com.hcloud.microservice.goods.facade.forms.GoodsProNormalForm;

import java.util.List;

/**
 * @author JYJ
 */
public interface GoodsProNormalService extends BaseServie<GoodsProNormalForm,String> {
    /**
     * 分页查询通用流通信息
     * @param goodsProNormalForm
     * @return
     */
    PageInfo searchProNormalByPage(GoodsProNormalForm goodsProNormalForm);

    /**
     * 批量保存生产过程信息
     * @param list
     * @return
     */
    int batchSaveProNormal(List<GoodsProNormalForm> list);

    /**
     * 通过商品批次号查询生产过程信息
     * @param batchId
     * @return
     */
    List<GoodsProNormalForm> searchProNormalByFK(String batchId,Integer processType);

    /**
     * 删除加工生产过程信息
     * @param batchId
     * @return
     */
    int delProNormalByFK(String batchId);
}
