package com.hcloud.microservice.goods.service;

import com.github.pagehelper.PageInfo;
import com.hcloud.microserver.commoncore.base.BaseServie;
import com.hcloud.microservice.goods.facade.forms.GoodsTracedUserForm;

import java.util.List;

/**
 * @author JYJ
 */
public interface GoodsTracedUserService extends BaseServie<GoodsTracedUserForm,String> {

    /**
     * 分页查询溯源用户信息
     * @param goodsTracedUserForm
     * @return
     */
    PageInfo searchTracedUserByPage(GoodsTracedUserForm goodsTracedUserForm);

    /**
     * 查询溯源用户信息，通过用户第三方编号
     * @param code
     * @return
     */
    GoodsTracedUserForm searchTracedUserByCode(String code,String userOpenid);


}
